Bug 188633 - gnome-mount doesn't mount DVD at /media with paticular /etc/fstab entry present
gnome-mount doesn't mount DVD at /media with paticular /etc/fstab entry present
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-11 18:04 EDT by Jay Cliburn
Modified: 2013-03-05 22:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 18:58:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Cliburn 2006-04-11 18:04:19 EDT
Description of problem:
When I insert a movie DVD in my DVD+-RW drive (NEC ND-3520A), gnome-mount mounts
it at /media/{volume.name} and displays a labeled icon on the (KDE) desktop
corresponding to the mounted media.  However, if the following entry is present
in /etc/fstab, the mounted volume shows up on the desktop, but it doesn't show
up at /media/{volume.name}.

/dev/hdc    /media/cdrecorder    udf,iso9660    user,exec,noauto 0 0

Note that the mere presence of the line in /etc/fstab is sufficient to cause the
problem; a "mount /dev/hdc" command doesn't need to have been issued.  If the
line is commented out (or removed from fstab), the DVD mounts properly at
/media/{volume.name}.

Version-Release number of selected component (if applicable):
gnome-mount 0.4

How reproducible:
Always.

Steps to Reproduce:
1.  Add the referenced line to /etc/fstab
2.  Insert a movie DVD
3.  ls -l /media (and observe the absence of the mounted DVD)
  
Actual results:
[root@osprey ~]# cat /etc/fstab | grep hdc
/dev/hdc    /media/cdrecorder    udf,iso9660    user,exec,noauto 0 0
[root@osprey ~]# ls -l /media
total 0
**** Comment /dev/hdc in /etc/fstab ****
[root@osprey ~]# cat /etc/fstab | grep hdc
#/dev/hdc    /media/cdrecorder    udf,iso9660    user,exec,noauto 0 0
[root@osprey ~]# ls -l /media
total 2
dr-xr-xr-x 4 4294967295 4294967295 136 Mar 19 15:34 WONDER_YEARS


Expected results:
ls -l /media should show mounted media irrespective of /etc/fstab entry.

Additional info:
[root@osprey ~]# uname -a
Linux osprey 2.6.16-1.2080_FC5 #1 SMP Tue Mar 28 03:38:47 EST 2006 x86_64 x86_64
x86_64 GNU/Linux
[root@osprey ~]# cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 31
model name      : AMD Athlon(tm) 64 Processor 3000+
stepping        : 0
cpu MHz         : 1000.000
cache size      : 512 KB
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt lm 3dnowext 3dnow
lahf_lm
bogomips        : 2048.01
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp
Comment 1 Bug Zapper 2008-04-03 22:37:40 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Jay Cliburn 2008-04-03 22:59:58 EDT
Hello Mr/Ms Zapper,

This is laughable.  Just close it and be done with it.

Note You need to log in before you can comment on or make changes to this bug.